Summary:        Run Perl standard test scripts with statistics
Name:           perl-Test-Harness
Version:        3.44
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/dist/Test-Harness
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/Test-Harness-%{version}.tar.gz

BuildRequires:  coreutils make perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(Carp) perl(Config) perl(constant) perl(Exporter) perl(Getopt::Long)
BuildRequires:  perl(File::Basename) perl(File::Find) perl(File::Path) perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions) perl(Symbol)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# For test suite
BuildRequires:  perl(base) perl(Benchmark) perl(IO::Handle) perl(IO::Select) perl(POSIX) perl(lib)
BuildRequires:  perl(Text::ParseWords) perl(Encode) perl(Data::Dumper) perl(IO::File) perl(Test::More)
Suggests:       perl(Term::ANSIColor) perl(Time::HiRes)
BuildArch:      noarch

%description
This package allows tests to be run and results automatically aggregated and
output to STDOUT.

%prep
%setup -q -n Test-Harness-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes Changes-2.64 examples README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.44-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.44-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.44-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.44-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.44-2
- Rebuilt for OpenCloudOS Stream 23

* Tue May 10 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.44-1
- Initial build
